# Module OpamFilename.Attribute

    module Attribute: sig .. end

Simple structure to hanle file attributes

    include OpamMisc.ABSTRACT

    val to_string_list : t -> string list

    val of_string_list : string list -> t

    val base : t -> Base.t

Get remote filename

    val md5 : t -> string

MD5 digest of the remote file

    val perm : t -> int option

File permission

    val create : Base.t -> string -> int -> t

Constructor